import { HTMLTextRenderer } from './text';
import { NumberRenderOptions, StyleDefaults } from './data_styles';
import { RendererOptions } from './renderer_types';
import { Renderer } from './renderer';
import { RendererFactory } from './renderer_factory';
import { Cell, Field } from '../data_tree';
export declare class HTMLNumberRenderer extends HTMLTextRenderer {
    readonly options: NumberRenderOptions;
    constructor(document: Document, options: NumberRenderOptions);
    getText(data: Cell): string | null;
}
export declare class NumberRendererFactory extends RendererFactory<NumberRenderOptions> {
    static readonly instance: NumberRendererFactory;
    constructor();
    activates(field: Field): boolean;
    create(document: Document, _styleDefaults: StyleDefaults, _rendererOptions: RendererOptions, _field: Field, options: NumberRenderOptions): Renderer;
    get rendererName(): string;
}
